## ros-indigo-pr2-app-manager 0.5.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_app_manager)
find_package(catkin REQUIRED COMPONENTS app_manager willow_maps)

catkin_package(
    DEPENDS app_manager willow_maps
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

install(PROGRAMS scripts/control.py scripts/install_applications.sh
 DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY mock_apps launch
 DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-pr2-app-manager (0.5.21-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 23 Mar 2016 22:16:20 -0000

ros-indigo-pr2-app-manager (0.5.20-1trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 05 May 2015 04:00:00 -0000

ros-indigo-pr2-app-manager (0.5.19-1trusty) trusty; urgency=high

  * added changelogs
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-pr2-app-manager (0.5.18-1trusty) trusty; urgency=high

  * Merge branch 'hydro-devel' of https://github.com/PR2/pr2_apps into hydro-devel
  * Updated maintainership
  * fix install destination
  * Contributors: Furushchev, TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 10 Feb 2015 05:00:00 -0000

ros-indigo-pr2-app-manager (0.5.16-1trusty) trusty; urgency=high



 -- Dash <dash@clearpathrobotics.com>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-pr2-app-manager (0.5.15-1trusty) trusty; urgency=high



 -- Dash <dash@clearpathrobotics.com>  Wed, 28 Jan 2015 05:00:00 -0000

ros-indigo-pr2-app-manager (0.5.14-1trusty) trusty; urgency=high



 -- Dash <dash@clearpathrobotics.com>  Thu, 20 Nov 2014 05:00:00 -0000

ros-indigo-pr2-app-manager (0.5.13-1trusty) trusty; urgency=high



 -- Dash <dash@clearpathrobotics.com>  Tue, 18 Nov 2014 05:00:00 -0000

ros-indigo-pr2-app-manager (0.5.12-1trusty) trusty; urgency=high



 -- Dash <dash@clearpathrobotics.com>  Mon, 17 Nov 2014 05:00:00 -0000

ros-indigo-pr2-app-manager (0.5.11-1trusty) trusty; urgency=high



 -- Dash <dash@clearpathrobotics.com>  Mon, 20 Oct 2014 04:00:00 -0000

ros-indigo-pr2-app-manager (0.5.10-1trusty) trusty; urgency=high

  * Removed include dependency
  * Removed use_source_permissions
  * Fixed pr2_app_manager install
  * Changelogs
  * Contributors: TheDash

 -- Dash <dash@clearpathrobotics.com>  Fri, 17 Oct 2014 04:00:00 -0000

ros-indigo-pr2-app-manager (0.5.9-1trusty) trusty; urgency=high

  * Updated pr2_app_manager, now compiles in hydro
  * Updated pr2_app_manager
  * Added pr2_app_manager package
  * Contributors: TheDash

 -- Dash <dash@clearpathrobotics.com>  Wed, 01 Oct 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-app-manager
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-app-manager, ros-indigo-catkin, ros-indigo-willow-maps
Homepage: http://ros.org/wiki/application_manager
Standards-Version: 3.9.2

Package: ros-indigo-pr2-app-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-app-manager, ros-indigo-willow-maps
Description: Scripts and tools for running the application manager on the PR2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-app-manager//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
